package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCreditHistory;
import com.iformall.domain.vo.WxCreditHistoryNewIdVo;
import com.iformall.domain.vo.WxCreditHistoryVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface WxCreditHistoryMapper extends CommonMapper<WxCreditHistory, Long> {

	List<WxCreditHistory> findList(WxCreditHistory wxCreditHistory);

	List<WxCreditHistoryVo> findListMore(WxCreditHistory wxCreditHistory);

	int loginCount(WxCreditHistory wxCreditHistory);

	int creditAmount(Long cUserId);

	int countList(WxCreditHistory wxCreditHistory);

	int updateNewId(WxCreditHistoryNewIdVo wxCreditHistory);

    long getTotalCreditAmount(WxCreditHistory wxCreditHistory);

    long getIncrementCreditAmount(WxCreditHistory wxCreditHistory);

    long getDecrementCreditAmount(WxCreditHistory wxCreditHistory);

    long getPeopleCount(WxCreditHistory wxCreditHistory);
}
